Single Config (token address/chain)
curl --request GET \
--url https://api.rhino.fi/bridge/config/tokensimport requests
url = "https://api.rhino.fi/bridge/config/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rhino.fi/bridge/config/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"decimals": 123,
"coingeckoId": "<string>",
"token": "<string>",
"address": "<string>",
"chain": "<string>",
"isHiddenPublicly": true,
"aliasFor": "<string>",
"maxDepositLimit": 123,
"maxWithdrawLimit": 123,
"minAmountUsdInContract": 123,
"allowedRouteChains": [
"<string>"
]
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}configs
Single Config (token address/chain)
Fetch config for a token by address
GET
/
config
/
tokens
Single Config (token address/chain)
Query Parameters
The blockchain chain identifier (e.g., "ETHEREUM", "ARBITRUM").
The token contract address on the specified chain.
Response
ExtendedTokenEntry
The number of decimal places for the token.
API ID of the token within the CoinGecko listing page.
The identifier for the token.
The contract address for the token on the given chain.
The name of the chain.
Available options:
true The maximum amount of that token that can be deposited into an SDA or bridged with Rhino.fi.
The maximum amount of that token that can be withdrawn from an SDA or bridged with Rhino.fi.
Minimum USD amount required in the contract for this token on this chain.
Whitelist of chains this token may be sent to / received from on this chain. If absent, all chains are allowed.